package com.camunda.consulting.callActivityProcesses;

import java.util.Date;
import java.util.Random;

import org.camunda.bpm.application.PostDeploy;
import org.camunda.bpm.application.ProcessApplication;
import org.camunda.bpm.application.impl.ServletProcessApplication;
import org.camunda.bpm.engine.ProcessEngine;

@ProcessApplication
public class CallActivityProcessApplication extends ServletProcessApplication {

  @PostDeploy
  public void startFailedProcessInstancesWithBusinessKey(ProcessEngine processEngine) {
    for (int i = 0; i < 10; i++) {
      int randomKey = new Random(new Date().getTime()).nextInt(100);
      String businessKey = "" + (randomKey + 1);
      processEngine.getRuntimeService().startProcessInstanceByKey("mainProcess", businessKey);
    }
    
    for (int j = 0; j < 5; j++) {
      int randomKey = new Random(new Date().getTime()).nextInt(100);
      String businessKey = "" + (randomKey + 101);
      processEngine.getRuntimeService().startProcessInstanceByKey("parallelProcess", businessKey);
    }
  }
}
