package com.camunda.consulting.callActivityProcesses;

import java.util.logging.Logger;

import org.camunda.bpm.engine.delegate.BpmnError;
import org.camunda.bpm.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.camunda.bpm.engine.impl.pvm.delegate.ActivityExecution;

public class RepairableBehavior extends AbstractBpmnActivityBehavior {
  
  private static final Logger log = Logger.getLogger(RepairableBehavior.class.getName());

  @Override
  public void execute(ActivityExecution execution) throws Exception {
    log.info("execute activity behavior");
    log.info(execution.getCurrentActivityName());
//    throw new BpmnError("MyError");
  }

  @Override
  public void signal(ActivityExecution execution, String signalName, Object signalData) throws Exception {
    log.info("Singal received");
    throw new BpmnError("MyError");
//    this.leave(execution);
  }

}
